> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit data for a PayPal PayIn

> Provide transaction data to PayPal prior to initiating a pay-in

This endpoint allows your platform to submit data to PayPal in advance of requesting a transaction ([read guide](/guides/payment-methods/paypal#submit-pre-transaction-risk-data)).

The `DataCollectionId` returned in the response must be sent on the associated pay-in call for both one-time and recurring payments:

* [POST Create a PayPal PayIn](/api-reference/paypal/create-paypal-payin)
* [POST Create a Recurring PayPal PayIn (CIT)](/api-reference/paypal/create-recurring-paypal-payin-cit)
* [POST Create a Recurring PayPal PayIn (MIT)](/api-reference/paypal/create-recurring-paypal-payin-mit)

Each pay-in requires a new `DataCollectionId`.

<Note>
  **Note – Data to submit depends on industry**

  The request body parameters described below are required for all marketplace businesses.

  Additional data points are required for platforms operating in the following industries:

  * Events and ticketing
  * Online travel agents:
    * Car rentals
    * Hotels
    * Transportation
    * Travel packages
  * Retail and groceries
  * Cruise lines
  * Buy online, pick up in store (BOPIS)
  * Crypto

  Before integrating this endpoint, platforms operating in the verticals above need to contact Mangopay <a href="https://hub.mangopay.com/" target="_blank">via the Dashboard</a>.
</Note>

### Body parameters

<ParamField body="sender_account_id" type="string">
  Format: Alphanumeric; example: `A12345N343`

  Unique identifier of the sender/buyer account on the marketplace platform.
</ParamField>

<ParamField body="sender_first_name" type="string">
  Format: Alphanumeric; example: `Jane`

  First name registered with the sender/buyer’s marketplace account.
</ParamField>

<ParamField body="sender_last_name" type="string">
  Format: Alphanumeric; example: `Doe`

  Last name registered with the sender/buyer’s marketplace account.
</ParamField>

<ParamField body="sender_email" type="string">
  Format: E.123 – Email Address; example: `john@example.com`

  Email address registered with the sender/buyer’s marketplace account.
</ParamField>

<ParamField body="sender_phone" type="string">
  Format: E.123 - Telephone Number (national notation); example `(042) 1123 4567`

  Phone number (national notation) registered with the sender/buyer’s marketplace account.
</ParamField>

<ParamField body="sender_country_code" type="string">
  Format: ISO Alpha-2 Country Code; example: `FR`

  Country code registered with the sender/buyer’s marketplace account.
</ParamField>

<ParamField body="sender_create_date" type="string">
  Format: ISO 8601 date format; example: `2012-12-09T19:14:55.277-0:00`

  Date of creation of the sender/buyer’s account on the marketplace platform.
</ParamField>

<ParamField body="sender_signup_ip" type="string">
  Format: IP (IPv4 / IPv6); example: `10.220.90.20`

  IP address that the sender/buyer used to sign up on the marketplace platform.
</ParamField>

<ParamField body="sender_popularity_score" type="string">
  Possible values: `high`, `medium`, `low`; example: `high`

  Risk-based scoring on the sender/buyer by the marketplace platform (e.g., social score, identity score, risk score). This score is likely unique for each platform based on marketplace platform’s risk platform capabilities.
</ParamField>

<ParamField body="receiver_account_id" type="string">
  Format: Alphanumeric; example: `A12345N343`

  Unique identifier of the seller/recipient’s account on the marketplace platform.
</ParamField>

<ParamField body="receiver_create_date" type="string">
  Format: ISO 8601 date format; example: `2012-12-09T19:14:55.277-0:00`

  Date of creation of the seller/recipient’s account on the marketplace platform.
</ParamField>

<ParamField body="receiver_email" type="string">
  Format: E.123 – Email Address; example: `john@example.com`

  Seller/recipient’s registered email on the marketplace platform.
</ParamField>

<ParamField body="receiver_address_country_code" type="string">
  Format: ISO Alpha-2 Country Code; example: `FR`

  Seller/recipient’s country code registered on the marketplace platform.
</ParamField>

<ParamField body="business_name" type="string">
  Format: Alphanumeric; example: `Acme Corp.`

  Business name used by the seller/recipient to register on the marketplace platform.
</ParamField>

<ParamField body="recipient_popularity_score" type="string">
  Possible values: `high`, `medium`, `low`; example: `high`

  Risk-based scoring on the seller/recipient by the marketplace platform (e.g., social score, identity score, risk score). This score is likely unique for each platform based on marketplace platform’s risk platform capabilities.
</ParamField>

<ParamField body="first_interaction_date" type="string">
  Format: ISO 8601 date format; example: `2012-12-09T 19:14:55.277-0:00`

  Date of the first interaction between the sender and receiver on the marketplace platform. Definition of ‘interaction’ is to be defined by the marketplace platform. Examples are: first transaction attempt between sender and receiver, add friend date between sender and receiver, etc.
</ParamField>

<ParamField body="txn_count_total" type="string">
  Format: Integer; example: `34`

  Total number of transactions the sender/buyer has had to date on the marketplace platform (through PayPal or otherwise).
</ParamField>

<ParamField body="vertical" type="string">
  Format: Alphanumeric; examples: `household goods`, `shoes`, `clothing`, `tickets`, etc.

  Transaction level vertical flag for the seller/receiver’s transactions that are in several verticals.
</ParamField>

<ParamField body="transaction_is_tangible" type="string">
  Possible values: `0`, `1`; example: `0`

  The seller/receiver’s transaction is for tangible rather than digital goods. If tangible, value = 1. If intangible, value = 0.
</ParamField>

### Responses

<AccordionGroup>
  <Accordion title="200 - Response parameters" defaultOpen>
    <ResponseField name="DataCollectionId" type="string">
      The unique identifier of the Data Collection object containing the data sent in the request, which must be added to the PayPal pay-in.

      A new `DataCollectionId` is needed for each call to [POST Create a PayPal PayIn](/api-reference/paypal/create-paypal-payin), [POST Create a Recurring PayPal PayIn (CIT)](/api-reference/paypal/create-recurring-paypal-payin-cit), [POST Create a Recurring PayPal PayIn (MIT)](/api-reference/paypal/create-recurring-paypal-payin-mit), and [POST Create a PayPal Deposit Preauthorization](/api-reference/deposit-preauthorizations/create-paypal-deposit-preauthorization).
    </ResponseField>
  </Accordion>
</AccordionGroup>

<AccordionGroup>
  <Accordion title="400 - Request can't be empty">
    ```json theme={null}
    {
        "Message": "One or several required parameters are missing or incorrect. An incorrect resource ID also raises this kind of error.",
        "Id": "5c84975a-41e0-4318-a78f-e1a0b095747d",
        "Date": 1759310400,
        "Type": "param_error",
        "Errors": {
            "Payload": "Payload required"
        }
    }
    ```
  </Accordion>
</AccordionGroup>

<ResponseExample>
  ```json 200 theme={null}
  {
      "DataCollectionId": "77b23645-dba3-4948-a5ba-32a134a3148d"
  }
  ```
</ResponseExample>

<RequestExample>
  ```json theme={null}
  {
      "sender_account_id": "A12345N343",
      "sender_first_name": "Jane",
      "sender_last_name": "Doe",
      "sender_email": "jane.doe@sample.com",
      "sender_phone": "(0033) 678123456",
      "sender_country_code": "FR",
      "sender_create_date": "2012-12-09T19:14:55.277-0:00",
      "sender_signup_ip": "10.220.90.20",
      "sender_popularity_score": "high",
      "receiver_account_id": "A12345N344",
      "receiver_create_date": "2012-12-09T19:14:55.277-0:00",
      "receiver_email": "jane@sample.com",
      "receiver_address_country_code": "FR",
      "business_name": "Jane Ltd",
      "recipient_popularity_score": "high",
      "first_interaction_date": "2012-12-09T19:14:55.277-0:00",
      "txn_count_total": "34",
      "vertical": "Household goods",
      "transaction_is_tangible": "0"
  }
  ```
</RequestExample>
